| Kea 3.0.2-git

cryptolink.h File Reference
`#include <string>`
`#include <util/buffer.h>`
`#include <exceptions/exceptions.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <memory>`
Include dependency graph for cryptolink.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::cryptolink::BadKey
| This exception is thrown when the underlying library could not handle the key data. More...
class | isc::cryptolink::CryptoLink
| Singleton entry point and factory class. More...
class | isc::cryptolink::CryptoLinkError
| General exception class that is the base for all crypto-related exceptions. More...
class | isc::cryptolink::InitializationError
| This exception is thrown if there was a problem initializing the crypto library. More...
class | isc::cryptolink::LibraryError
| This exception is raised when a general error that was not specifically caught is thrown by the underlying library. More...
class | isc::cryptolink::UnsupportedAlgorithm
| This exception is thrown when a cryptographic action is requested for an algorithm that is not supported by the underlying library. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::cryptolink

## Typedefs
typedef boost::shared_ptr< CryptoLinkImpl > | isc::cryptolink::CryptoLinkImplPtr
| Type representing the pointer to the CryptoLinkImpl.
typedef boost::shared_ptr< RNG > | isc::cryptolink::RNGPtr
| Type representing the pointer to the RNG.

## Enumerations
enum | isc::cryptolink::HashAlgorithm { isc::cryptolink::UNKNOWN_HASH = 0 , isc::cryptolink::MD5 = 1 , isc::cryptolink::SHA1 = 2 , isc::cryptolink::SHA256 = 3 , isc::cryptolink::SHA224 = 4 , isc::cryptolink::SHA384 = 5 , isc::cryptolink::SHA512 = 6 }
| Hash algorithm identifiers. More...